---
title: Identification stage
---

This stage provides a ready-to-go form for users to identify themselves.

## Options

### User Fields

Select which fields the user can use to identify themselves. Multiple fields can be specified and separated with a comma.
Valid choices:

-   email
-   username

### Template

This specifies which template is rendered. Currently there are two templates:

The `Login` template shows configured Sources below the login form, as well as linking to the defined Enrollment and Recovery flows.

The `Recovery` template shows only the form.

### Enrollment/Recovery Flow

These fields specify if and which flows are linked on the form. The enrollment flow is linked as `Need an account? Sign up.`, and the recovery flow is linked as `Forgot username or password?`.
